org.apache.fop.tools.fontlist

## Class FontListGenerator

- java.lang.Object
- - org.apache.fop.tools.fontlist.FontListGenerator

    public class FontListGenerator
    extends Object

Generates a list of available fonts.

### Constructor Summary

Constructors
Constructor and Description
`FontListGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SortedMap` `listFonts(FopFactory fopFactory, String mime, FontEventListener listener)` List all fonts configured for a particular output format (identified by MIME type).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontListGenerator

    public FontListGenerator()

### Method Detail

#### listFonts

    public SortedMap listFonts(FopFactory fopFactory,
                               String mime,
                               FontEventListener listener)
                        throws FOPException

List all fonts configured for a particular output format (identified by MIME type). The sorted map returned looks like this: `SortedMap<String/font-family, List<`FontSpec`>>`

Parameters:
  `fopFactory` - the FOP factory (already configured)
  `mime` - the MIME type identified the selected output format
  `listener` - a font event listener to catch any font-related errors while listing fonts
Returns:
  the map of font families
Throws:
  `FOPException` - if an error occurs setting up the fonts